CHEESE API v2
Create Selection
Authorization
APIKeyHeader x-api-key<token>
In: header
Header Parameters
x-dmc-client?string|null
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Portable, replayable selection intent.
Response Body
application/json
application/json
curl -X POST "https://example.com/api/v2/selections" \ -H "Content-Type: application/json" \ -d '{ "database": { "database_id": "string" }, "strategy": {} }'{ "counts": {}, "database_release": "string", "execution_plan": {}, "id": "string", "normalized_selection": { "constraints": { "presets": [ { "preset_id": "string", "version": "string" } ], "properties": [ { "missing": "reject", "operator": "gt", "property_id": "string", "required_fidelity": "exact_product", "type": "property", "units": "string", "value": 0 } ], "reactions": [ {} ], "relationships": [ { "method_id": "rdkit.bemis_murcko", "operator": "different", "reference_id": "string", "type": "scaffold_relation" } ], "structures": { "all": [ { "count": { "max": 0, "min": 1 }, "id": "string", "pattern_id": "string", "query": { "format": "smiles", "value": "string" }, "relation": "contains", "type": "structure" } ], "any": { "conditions": [ { "count": { "max": 0, "min": 1 }, "id": "string", "pattern_id": "string", "query": { "format": "smiles", "value": "string" }, "relation": "contains", "type": "structure" } ], "minimum": 0 }, "none": [ { "count": { "max": 0, "min": 1 }, "id": "string", "pattern_id": "string", "query": { "format": "smiles", "value": "string" }, "relation": "contains", "type": "structure" } ] } }, "database": { "database_id": "string", "release_id": "string" }, "execution": { "quality": "fast", "seed": 0, "shortlist_multiplier": 10 }, "include": [ "properties" ], "objectives": [ { "direction": "maximize", "metric_id": "rdkit.ecfp4_tanimoto", "reference_id": "string", "type": "similarity" } ], "portfolio": { "limit": 100, "max_per_scaffold": 1 }, "references": [ { "id": "string", "structure": { "format": "smiles", "value": "string" } } ], "schema_version": "molecule-selection/1", "strategy": { "type": "ranked" } }, "object": "selection", "request_id": "string", "results": [ {} ], "selection_hash": "string", "status": "completed", "timing_ms": { "property1": 0, "property2": 0 }, "warnings": [ {} ]}